Overview | Package | Class
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## groovy.util
Class NodeBuilder

A helper class for creating nested trees of Node objects for handling arbitrary data

author:
  James Strachan

version:
  $Revision: 6778 $

Constructor Summary
`NodeBuilder()`

Method Summary
`Object` | `createNode(Object name)`
`Object` | `createNode(Object name, Object value)`
`Object` | `createNode(Object name, Map attributes)`
`Object` | `createNode(Object name, Map attributes, Object value)`
`Node` | `getCurrentNode()`
`static NodeBuilder` | `newInstance()`
`void` | `setParent(Object parent, Object child)`

Constructor Detail

### NodeBuilder

    NodeBuilder()

Method Detail

### createNode

    Object createNode(Object name)

### createNode

    Object createNode(Object name, Object value)

### createNode

    Object createNode(Object name, Map attributes)

### createNode

    Object createNode(Object name, Map attributes, Object value)

### getCurrentNode

    Node getCurrentNode()

### newInstance

    public static NodeBuilder newInstance()

### setParent

    void setParent(Object parent, Object child)